Summary:  Squid Internet Object Cache
Name: squid+icmp-beta
Version: 1.2.24
Release: 2
URL: http://squid.nlanr.net/
Source: ftp://squid.nlanr.net/pub/squid-1.2.beta/squid-1.2.beta24-src.tar.gz
Source1: squid-faq-980814.tgz
Source2: squid.init
Source3: squid.logrotate
Source4: squid.sysconfig
# Latest patches from Squid Web site:
Patch: ftp://squid.nlanr.net/pub/squid-1.2.beta/diff-1.2.beta24-199808250335.gz
#Patch1: ftp://squid.nlanr.net/pub/squid-1.2.beta/1.2.beta23-2.patches.gz
#Patch2: ftp://squid.nlanr.net/pub/squid-1.2.beta/1.2.beta23-3.patches
#Patch3: ftp://squid.nlanr.net/pub/squid-1.2.beta/1.2.beta23-4.patches
Patch4: squid-1.2-misc
Copyright: distributable
Group: Networking/Daemons
BuildRoot: /tmp/squid-root
Requires: chkconfig >= 0.9, shadow-utils >= 970616, logrotate
Obsoletes: squid, squid-beta, squid-novm

# The following is needed later; you can change this:
%define squid_uid 15
%define squid_gid 51

%changelog
* Sun Aug 30 1998 Alexey Nogin <ayn2@cornell.edu>
- Updated to 1.2.beta24 + Patch 1
- Fixed (hopefully) the log rotation

* Sun Aug 16 1998 Alexey Nogin <ayn2@cornell.edu>
- Fixed a bug in the %post script

* Sat Aug 15 1998 Alexey Nogin <ayn2@cornell.edu>
- Updated to 1.2.beta23 + Patch Set 4
- Added Squid FAQ
- squid.conf.default is now readable only by group squid 
- If squid.conf does not exist when installing squid, copy
  squid.conf.default to squid.conf
- Rotate logs with logrotate, not cron
- Added turkish error pages
- Changed the mode for /usr/lib/squid/pinger from 4755 to 4511
- SRPM: Added %attr directive. Now we do not have to create squid
  user and group in the %pre script
- SRPM: Have init files as separate Sources, not in the patch.
- Many changes in these release are inspired by the Squid RPMs by
  Arne Coucheron <arneco@online.no>

* Sat May 31 1998 Alexey Nogin <ayn2@cornell.edu>
- Changed the package name from squid-1.2.beta21 to squid+icmp-beta-1.2.21

* Sat May 23 1998 Alexey Nogin <ayn2@cornell.edu>
- Added error pages in various languages to the binary RPM
- The defaut error dir is changed to /etc/squid/errors/English

* Sat Apr 22 1998 Alexey Nogin <ayn2@cornell.edu>
- Added suid bit to pinger

* Sat Apr  8 1998 Alexey Nogin <ayn2@cornell.edu>
- Added --enable-icmp option to configure.

* Tue Mar  3 1998 Alexey Nogin <ayn2@cornell.edu>
- Updated to 1.2-beta15
- Removed unnecessary setresuid() fix (configure now checks it correctly)
  cachemgr.cgi was going to /home/httpd/cgi-bin and was immediatelly
  accessible - not too secure, moved it to /usr/lib/squid, you may make
  a symbolic link if you need to make it accessible
- All scripts are now %configs (I like customizing scripts and I do not like, 
  when RPM replaces my scripts)
- This RPM is base on squid-1.NOVM RPM by Jan "Yenya" Kasprzak <kas@fi.muni.cz>

%description
Squid is a high-performance proxy caching server for web clients,
supporting FTP, gopher, and HTTP data objects.  Unlike traditional
caching software, Squid handles all requests in a single,
non-blocking, I/O-driven process.

This package has ICMP network probe database (Netdb) compiled in.

WARNING: If you upgrade from earlier version 
of squid (1.1.x or 1.NOVM.x), you will
LOSE YOUR CACHE

Please read the documentation!!

%prep
%setup -n squid-1.2.beta24 -q -a 1
%patch0 -p1
#%patch1 -p1
#%patch2 -p1
#%patch3 -p0
%patch4 -p1 -b .misc

%build
CFLAGS="$RPM_OPT_FLAGS" LDFLAGS=-s  \
	./configure --prefix=/usr   \
	--exec_prefix=/usr          \
	--bindir=/usr/sbin          \
	--libexecdir=/usr/lib/squid \
	--localstatedir=/var        \
	--sysconfdir=/etc/squid     \
	--enable-icmp
make -f makefile

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{bin,sbin,lib/squid}
mkdir -p $RPM_BUILD_ROOT/etc/{squid/{icons,errors/{Bulgarian,Czech,Dutch,English,Estonian,French,German,Italian,Polish,Portuguese,Russian,Spanish,Turkish}},sysconfig,{logrotate,rc.d/{rc{0,1,2,3,5,6},init}}.d}
mkdir -p $RPM_BUILD_ROOT/home/httpd/cgi-bin
mkdir -p $RPM_BUILD_ROOT/usr/man/man3
mkdir -p $RPM_BUILD_ROOT/var/{cache,log/squid}

install -m 755 %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/squid
install -m 644 %{SOURCE3} $RPM_BUILD_ROOT/etc/logrotate.d/squid
install -m 644 %{SOURCE4} $RPM_BUILD_ROOT/etc/sysconfig/squid
install -m 755 doc/tree.3 $RPM_BUILD_ROOT/usr/man/man3/tree.3
install -s -m 755 src/squid $RPM_BUILD_ROOT/usr/sbin/
install -s -m 755 src/client $RPM_BUILD_ROOT/usr/bin
install -s -m 755 src/{pinger,dnsserver,unlinkd,cachemgr.cgi} $RPM_BUILD_ROOT/usr/lib/squid
install -m 644 src/mime.conf src/mib.txt $RPM_BUILD_ROOT/etc/squid
install -m 644 src/squid.conf $RPM_BUILD_ROOT/etc/squid/squid.conf.default
install -m 444 icons/*.gif $RPM_BUILD_ROOT/etc/squid/icons
for i in Bulgarian Czech Dutch English Estonian French German Italian Polish Portuguese Spanish Turkish; do
	install -m 644 errors/$i/* $RPM_BUILD_ROOT/etc/squid/errors/$i
done
install -m 644 errors/Russian-koi8-r/ERR_* $RPM_BUILD_ROOT/etc/squid/errors/Russian
install -m 755 scripts/{RunCache,RunAccel} $RPM_BUILD_ROOT/usr/sbin/

%pre
test -r /var/lock/subsys/squid -a -r /etc/rc.d/init.d/squid.init \
	&& /etc/rc.d/init.d/squid.init stop
test -r /var/lock/subsys/squid -a -r /etc/rc.d/init.d/squid \
	&& /etc/rc.d/init.d/squid stop
# Add the squid user and group to the system files:
# If you change this, change the %prep script too.
if grep -q '^squid:' /etc/group
then true
else
	if grep -q '^[^:]*:[^:]*:%{squid_gid}:' /etc/group
	then
		cat <<EOF
!!! Squid group is not in /etc/group, but there is another group with
!!! the %squid_gid GID. You may want to create a squid user and then
!!! change the ownership of the /var/cache and /var/log/squid
!!! directories to it.
EOF
	else
		/usr/sbin/groupadd -g %{squid_gid} -r squid && echo "Squid group added to /etc/group."
	fi
fi
if grep -q '^squid:' /etc/passwd
then true
else
	if grep -q '^[^:]*:[^:]*:%{squid_uid}:' /etc/passwd
	then
		cat <<EOF
!!! Squid user is not in /etc/passwd, but there is another user with
!!! the %squid_uid UID. You may want to create a squid user and then
!!! change the ownership of the /var/cache and /var/log/squid
!!! directories to it.
EOF
	else
		/usr/sbin/useradd -r -c 'Squid - WWW proxy cache' -d /var/cache -g 51 -u 15 squid && echo "Squid user created."
	fi
fi

%post
if [ "$1" -gt 1 ]
then
	/etc/rc.d/init.d/squid start
	exit 0
fi
if test ! -e /etc/squid/squid.conf; then
	cp -a /etc/squid/squid.conf.default /etc/squid/squid.conf
fi	
/sbin/chkconfig --add squid
HOME_DIR=/var/cache
if test -r /etc/squid/squid.conf \
	&& grep -q '^[ 	]*cache_dir' /etc/squid/squid.conf
then
	HOME_DIR="`grep -q '^[ 	]*cache_dir' /etc/squid/squid.conf \
		sed 's/^[ 	]*cache_dir[ 	]*//'|head -1`"
fi
if test -d $HOME_DIR/00
then true
else
	echo "You may want to initialize the squid cache directory"
	echo "($HOME_DIR) by running squid -z at some point."
fi
cat <<EOF
You may want to edit /etc/squid/squid.conf and then start squid
using a "/etc/rc.d/init.d/squid start" command.
EOF

%preun
[ "$1" -ne 0 ] && exit 0
test -r /etc/rc.d/init.d/squid && \
	/etc/rc.d/init.d/squid stop
/sbin/chkconfig --del squid

%postun
[ "$1" -ne 0 ] && exit 0
/usr/sbin/userdel -r squid
/usr/sbin/groupdel squid
if test -d /var/log/squid ; then rm -rf /var/log/squid; fi
if test -d /var/cache ;then rm -rf /var/cache; fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc doc/HTTP-codes.txt doc/Release-Notes-1.0.txt doc/Release-Notes-1.1.txt
%doc doc/icpv2-application.txt doc/icpv2-protocol.txt doc/debug-sections.txt
%doc doc/mk-debugs.sh doc/draft-vixie-icp-htcp-01.txt
%doc CONTRIBUTORS COPYING ChangeLog INSTALL README QUICKSTART CREDITS TODO FAQ
/usr/sbin/squid
/usr/bin/client
%dir /usr/lib/squid
/usr/lib/squid/cachemgr.cgi
/usr/lib/squid/dnsserver
%attr(4511,root,root)/usr/lib/squid/pinger
/usr/lib/squid/unlinkd
%attr(-,root,man)/usr/man/man3/tree.3
/etc/squid/icons
%attr(-,squid,squid)%dir /var/cache
%dir /etc/squid
%config /etc/squid/errors
%config /etc/logrotate.d/squid
%config /etc/rc.d/init.d/squid
%config /usr/sbin/RunCache
%config /usr/sbin/RunAccel
%config /etc/sysconfig/squid
%attr(640,root,squid)%config /etc/squid/squid.conf.default
%config /etc/squid/mime.conf
%config /etc/squid/mib.txt
%attr(-,squid,squid)%dir /var/log/squid
